## ros-one-ps3joy 1.15.0-16jammy.20251023.0211

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ps3joy)

find_package(PkgConfig REQUIRED)
pkg_search_module(LIBUSB REQUIRED libusb)

if(LIBUSB_FOUND)
  include_directories(SYSTEM ${LIBUSB_INCLUDE_DIRS})
  link_directories(${LIBUSB_LIBRARY_DIRS})
else()
  message( FATAL_ERROR "Failed to find libusb" )
endif()

# Load catkin and all dependencies required for this package
set(CATKIN_DEPS diagnostic_msgs sensor_msgs rospy rosgraph roslint)
find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPS})
catkin_package(CATKIN_DEPENDS diagnostic_msgs sensor_msgs)

roslint_python(
  scripts/ps3joy.py
  scripts/ps3joy_node.py
  scripts/ps3joysim.py
)

include_directories(${catkin_INCLUDE_DIRS})
add_executable(sixpair src/sixpair.c)
target_link_libraries(sixpair -lusb ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

# Install targets
install(TARGETS sixpair
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES diagnostics.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS
  scripts/ps3joy.py
  scripts/ps3joy_node.py
  scripts/ps3joysim.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-ps3joy (1.15.0-16jammy.20251023.0211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:11:56 +0000

ros-one-ps3joy (1.15.0-0jammy) jammy; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-ps3joy (1.14.0-0jammy) jammy; urgency=high

  * Fixing linter errors for Noetic. (#174 <https://github.com/ros-drivers/joystick_drivers/issues/174>)
  * Make sure to import struct where it is used. (#162 <https://github.com/ros-drivers/joystick_drivers/issues/162>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Contributors: Chris Lalancette, Joshua Whitley

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-ps3joy (1.13.0-0jammy) jammy; urgency=high

  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
  * Cleaning up Python indentation.
  * Merge pull request #123 <https://github.com/ros-drivers/joystick_drivers/issues/123> from cclauss/modernize-python2-code
  * Modernize Python 2 code to get ready for Python 3
  * Merge branch 'master' into indigo-devel
  * Contributors: Joshua Whitley, Matthew, cclauss

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-ps3joy (1.12.0-0jammy) jammy; urgency=high

  * Addressed numerous outstanding PRs.
  * Created bluetooth_devices.md
  * Created testing guide for ps3joy.
  * Create procedure_test.md
  * Let ps3joy_node not quit on inactivity-timeout.
  * Refine diagnostics message usage in ps3joy_node
  * Improve ps3joy_node with rospy.init_node and .is_shutdown
  * Remove quit on failed root level check, part one of issue #53 <https://github.com/ros-drivers/joystick_drivers/issues/53>
  * Create README
  * Changed package xml to format 2
  * Contributors: Alenso Labady, Felix Kolbe, Jonathan Bohren, alab288, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-ps3joy (1.11.0-0jammy) jammy; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-ps3joy (1.10.1-0jammy) jammy; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-ps3joy (1.10.0-0jammy) jammy; urgency=high

  * First indigo reelase
  * Update ps3joy/package.xml URLs with github user ros to ros-drivers
  * Prompt for sudo password when required
  * Contributors: Felix Kolbe, Jonathan Bohren, dawonn

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-ps3joy
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), bluez, joystick, libusb-dev, python3-bluez, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-rosgraph, ros-one-roslint, ros-one-rospy, ros-one-sensor-msgs
Homepage: http://www.ros.org/wiki/ps3joy
Standards-Version: 3.9.2

Package: ros-one-ps3joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, joystick, libusb-dev, python3-bluez, ros-one-diagnostic-msgs, ros-one-rosgraph, ros-one-rospy, ros-one-sensor-msgs
Description: Playstation 3 SIXAXIS or DUAL SHOCK 3 joystick driver.
 Driver for the Sony PlayStation 3 SIXAXIS or DUAL SHOCK 3 joysticks. In its current state, this driver is not compatible with the use of other Bluetooth HID devices. The driver listens for a connection on the HID ports, starts the joystick streaming data, and passes the data to the Linux uinput device so that it shows up as a normal joystick.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ps3joy//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ps3joy 1.15.0-16jammy.20260220.2258

=== debian/changelog ===
ros-one-ps3joy (1.15.0-16jammy.20260220.2258) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 22:58:20 +0000

## ros-one-ps3joy 1.15.0-16noble.20251023.0210

=== debian/changelog ===
ros-one-ps3joy (1.15.0-16noble.20251023.0210) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:10:15 +0000

ros-one-ps3joy (1.15.0-0noble) noble; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-ps3joy (1.14.0-0noble) noble; urgency=high

  * Fixing linter errors for Noetic. (#174 <https://github.com/ros-drivers/joystick_drivers/issues/174>)
  * Make sure to import struct where it is used. (#162 <https://github.com/ros-drivers/joystick_drivers/issues/162>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Contributors: Chris Lalancette, Joshua Whitley

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-ps3joy (1.13.0-0noble) noble; urgency=high

  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
  * Cleaning up Python indentation.
  * Merge pull request #123 <https://github.com/ros-drivers/joystick_drivers/issues/123> from cclauss/modernize-python2-code
  * Modernize Python 2 code to get ready for Python 3
  * Merge branch 'master' into indigo-devel
  * Contributors: Joshua Whitley, Matthew, cclauss

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-ps3joy (1.12.0-0noble) noble; urgency=high

  * Addressed numerous outstanding PRs.
  * Created bluetooth_devices.md
  * Created testing guide for ps3joy.
  * Create procedure_test.md
  * Let ps3joy_node not quit on inactivity-timeout.
  * Refine diagnostics message usage in ps3joy_node
  * Improve ps3joy_node with rospy.init_node and .is_shutdown
  * Remove quit on failed root level check, part one of issue #53 <https://github.com/ros-drivers/joystick_drivers/issues/53>
  * Create README
  * Changed package xml to format 2
  * Contributors: Alenso Labady, Felix Kolbe, Jonathan Bohren, alab288, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-ps3joy (1.11.0-0noble) noble; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-ps3joy (1.10.1-0noble) noble; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-ps3joy (1.10.0-0noble) noble; urgency=high

  * First indigo reelase
  * Update ps3joy/package.xml URLs with github user ros to ros-drivers
  * Prompt for sudo password when required
  * Contributors: Felix Kolbe, Jonathan Bohren, dawonn

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

## ros-one-ps3joy 1.15.0-16noble.20260220.2315

=== debian/changelog ===
ros-one-ps3joy (1.15.0-16noble.20260220.2315) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 23:15:03 +0000
